Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Types | Public Member Functions | List of all members
ranges::v3::view::partial_sum_fn Struct Reference

## Synopsis of methods
constexpr view< partial_sum_fn > | partial_sum {}

## Public Types
template<typename Rng , typename Fun >
using | Concept { return ( make_pipeable(std::bind(partial_sum, std::placeholders::_1, Fun{})) )

## Public Member Functions
template<typename Rng , typename Fun = plus, requires = (Concept<Rng, Fun>())>
partial_sum_view< all_t< Rng >, Fun > | operator() (Rng &&rng, Fun fun={}) const